ApiAuth_clusters
Redirect to the cluster's login page
GET
If the cluster is not found or disabled, return 404.
bearer_authheader
AuthorizationBearer <JWT>ns*stringNamespace containing the cluster.
cluster*stringCluster name that should exist in the namespace.
x-front-callback*|If it's from the frontend, this header will be set.
x-kubectl-callback*|If it's from kubectl plugin, this header will be set.
Response from remote cluster.
response?stringtext/plaincurl -X GET 'https://example.com/clusters/string/string/auth/login' \ -H 'x-front-callback: string' \ -H 'x-kubectl-callback: string'Example Response
"string"